Bug 189828 - yum always uses the network even when "-C" specified
yum always uses the network even when "-C" specified
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2006-04-24 18:07 EDT by Jon Masters
Modified: 2014-01-21 17:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-25 10:37:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
yum repositories (1.30 KB, application/octet-stream)
2006-04-25 06:06 EDT, Jon Masters
no flags Details

  None (edit)
Description Jon Masters 2006-04-24 18:07:28 EDT
Description of problem:

Yum will /always/ issue HTTP requests to the network, even when "-C" is
specified. Depending upon whether mirrors are configured, this may or may not
allow for offline use, but it always slows done access to cached use only.

Version-Release number of selected component (if applicable):

Yum in FC5 and recent rawhide builds

How reproducible:


Steps to Reproduce:
1. use yum
Actual results:

Yum wants to hit repos

Expected results:

Yum should not do that

Additional info:

Tested on ppc rawhide installs and a FC5 fresh install on vmware.
Comment 1 Seth Vidal 2006-04-24 20:13:53 EDT
is this install using the mirrorlist= directive in your /etc/yum.repos.d/*.repo
Comment 2 Jon Masters 2006-04-25 06:06:16 EDT
Created attachment 128191 [details]
yum repositories

A copy of the yum repositories on an example box where yum fails to honor "-C".
This is a rawhide box, same problem occurs on an FC5 box with a fresh install.
Comment 3 Seth Vidal 2006-04-25 08:17:25 EDT
So, according to those configs it is using mirrorlists. Test this for me:
comment out the mirrorlists - just use the baseurl and see if it still contacts
the network.
Comment 4 Jon Masters 2006-04-25 09:54:50 EDT
When I make these changes on a virgin FC5 install, it no longer hits the network.

However, FC5 seems to ship with mirrorlist being set for the repos and no
baseurl. In that case, yum is definately not behaving correctly when specifying

This is to say nothing of the speed - this box takes 34.363 seconds to run "yum
-C list kernel" whereas another two boxes can take anything from 1-2 minutes.

Comment 5 Seth Vidal 2006-04-25 10:00:00 EDT
something else is going on here.

if it takes 34s for that to occur then something else is broken.

on my 1.2ghz laptop it only takes 5s for the same command

and on my 3.4ghz desktop it takes 2.2s for that command.
Comment 6 Jon Masters 2006-04-25 10:13:48 EDT
I've often found yum to be "slow". Fedora is running here on 2 x Powerbooks with
rawhide and a vmware install on x86 - each of those takes similar amounts of
time, although the vmware host is faster. On the ppc platforms, I'm getting
typically 40 seconds to 1 minute and most of that is lost in IO.

I did mention the strace output examples above. I'd love it if you had some
suggestions :-)

Comment 7 Jon Masters 2006-04-25 10:16:38 EDT
Hmmm... apparently the strace links aren't there. Here are two example runs:

http://www.printk.net/~jcm/yum.strace2 <--- rawhide
http://www.printk.net/~jcm/yum_fc5.strace2 <--- FC5

These result in network traffic, they were made last night before changing

Comment 8 Seth Vidal 2006-04-25 10:37:38 EDT
1. strace output isn't all that useful in this situation
2. you have your answer

It is not possible to disable all network access when using mirrorlists in the
current code. Period.

With regard to the speed you're seeing I can't really tell you where the time is
being lost but I'd look hard at your network connection b/c I can't recreate
this even on machines with a slow connection to the net.

Note You need to log in before you can comment on or make changes to this bug.